/*---------- menu css ----------*/
.c-menu-outer{
  background: $color-primary;
}
.c-menu-inner{
  min-height: 40px;
  position: relative;
  z-index: 99;
}
.c-alias{
  &__btn{
    background: $color-primary;
    height:46px;
    font-weight: 400;
    display: none;
    width: 250px;
    line-height: 46px;
    color: $color-white;
    font-size: 15px;
    padding: 0 15px;
    .fa-chevron-down{
      float: right;
      margin-top: 16px;
    }
    .fa-list-ul{
      margin-right: 10px;
    }
  }
  &__expand{
    width: 250px;
    border-right:1px solid $color-border;
    border-bottom: 1px solid $color-border;
    background: $color-white;
    position: fixed;
    top: 0;
    bottom: 0;
    left: -250px;
    z-index: 200;
    overflow: auto;
    @include transition-all(0.2s);
    >ul{
      list-style: none;
      margin: 0;
      padding: 0;
      >li{
        border-bottom: 1px solid $color-border;
        >a{
          display: block;
          text-decoration: none;
          color: $color-text;
          padding: 9px 25px 9px 15px;
          position: relative;
          z-index: 1;
          .fa-angle-right{
            position: absolute;
            z-index: 2;
            top: 14px;
            right: 15px;
            display: none;
          }
          .c-alias-mobile__expand-sub{
            position: absolute;
            z-index: 2;
            top: 11px;
            right: 17px;
          }
        }
      }
    }
  }
  &__more{
    a{
      display: block;
      padding: 9px 15px;
      text-decoration: none;
      .fas{
        margin-left: 5px;
      }
    }
  }
}
.c-alias-sub{
  display: none;
  background: $color-white;
  &__content{
    padding: 3px 15px 3px 25px;
    label{
      margin-bottom: 10px;
      //display: none;
      font-weight: 700;
    }
    ul{
      list-style: none;
      margin: 0 0 10px;
      padding: 0;
      li{
        a{
          text-decoration: none;
          color: $color-text;
          display: block;
          padding: 4px 0;
        }
      }
    }
  }
  &__img{
    display: none;
    z-index: 1;
    position: absolute;
    right: 0;
    bottom: 0;
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 100%;
  }
}
.c-alias-banner{
  border-right: 1px solid $color-border;
  border-bottom: 1px solid $color-border;
  position: absolute;
  z-index: 2;
  overflow: hidden;
}
.c-alias-close{
  color: $color-primary;
  display: block;
  padding: 5px 15px;
  font-size: 16px;
  cursor: pointer;
}
.c-app-ovelay{
  z-index:-1;
  position:fixed;
  top:0;
  left:0;
  bottom:0;
  right:0;
  background:#000;
  background:rgba(0,0,0,0.6);
  opacity:0;
  visibility:hidden;
  @include transition-all(0.2s);
}
.has-ovelay-show{
  visibility:visible;
  opacity:1;
  z-index:98;
}
.has-menu-open{
  transform: translate3d( 250px, 0, 0 );
  -webkit-transform: translate3d( 250px, 0, 0 );
}
.has-body-open{
  //overflow:hidden;
}
.c-menu{
  position: absolute;
  z-index: 2;
  top: 100%;
  left: -15px;
  right: -15px;
  background: $color-primary;
  @include box-shadow(0 4px 4px rgba(0,0,0,0.15));
  display: none;
  >ul{
    list-style: none;
    margin: 0;
    padding: 0;
    >li{
      >a{
        text-decoration: none;
        color: $color-white;
        display: block;
        padding: 10px 15px;
        text-transform: uppercase;
        img{
          width: 20px;
          height: 20px;
          display: inline-block;
          vertical-align: middle;
          margin-right: 5px;
          margin-top: -2px;
        }
      }
    }
  }
}
.c-menusecond-expand{
  border: none;
  background: transparent;
  height: 40px;
  padding: 0;
  text-transform: uppercase;
  color: $color-white;
  &:focus{
    outline: none;
    border: none;
  }
  .fas{
    margin-right: 10px;
  }
}
//menu responsive css
@media (min-width: $screen-sm-min){//mobile lanscape

}
@media (min-width: $screen-md-min){//ipad portrait

}
@media (min-width: $screen-lg-min){//ipad lanscape & pc 1024x768px
  .c-menu-outer{
    border-bottom: 2px solid $color-primary;
    background: $color-white;
    height: 46px;
  }
  .c-alias{
    width: 250px;
    &__btn{
      display: block;
    }
    &__expand{
      display: none;
      position: absolute;
      z-index: 2;
      top: 46px;
      left: 0;
      bottom: auto;
      height: 400px;
      overflow: visible;
      >ul{
        >li{
          >a{
            .fa-angle-right{
              display: block;
            }
            .c-alias-mobile__expand-sub{
              display: none;
            }
          }
          &:hover{
            >a{
              z-index: 3;
              color: $color-primary;
              &:before{
                content: "";
                position: absolute;
                z-index: 2;
                top: 0;
                right: -1px;
                bottom: 0;
                width: 1px;
                background: $color-white;
              }
            }
            .c-alias-sub{
              display: block !important;
            }
          }
          &.is-single{
            >a{
              font-weight: 700;
            }
            &:hover{
              >a{
                &:before{
                  display: none;
                }
              }
            }
          }
        }
      }
    }
    &:hover{
      .c-alias__expand{
        display: block;
      }
    }
  }
  .c-alias-sub{
    position: absolute;
    z-index: 2;
    left: 100%;
    top: 0;
    width: 536px;
    height: 400px;
    border-left: 1px solid $color-border;
    &__content{
      padding: 15px 15px 0 20px;
      position: relative;
      z-index: 3;
      //label{
      //  display: block;
      //}
      ul{
        li{
          &:hover{
            a{
              color: $color-primary;
            }
          }
        }
      }
    }
    &__img{
      display: block;
    }
  }
  .c-alias-close{
    display: none;
  }
  .c-menu{
    left: 250px;
    top: 0;
    right: auto;
    display: block !important;
    background: transparent;
    padding-left: 15px;
    @include box-shadow(none);
    >ul{
      >li{
        float: left;
        >a{
          line-height: 44px;
          padding: 0 15px;
          color: $color-text;
          @include transition-all(0.2s);
        }
        &:hover{
          >a{
            color: $color-primary;
          }
        }
      }
    }
  }
  .c-menusecond-expand{
    display: none;
  }
}
@media (min-width: $screen-xl-min){//pc & mac 1280px grow up

}
//end menu responsive css
/*---------- end menu css ----------*/